Name:           rpl
Version:        1.5.7
Release:        4%{?dist}
Summary:        Intelligent recursive search/replace utility

Group:          Applications/Text
License:        GPLv2+
URL:            https://github.com/kcoyner/rpl/
Source0:        https://github.com/kcoyner/rpl/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python3-devel

%description
rpl is a UN*X text replacement utility. It will replace strings with
new strings in multiple text files. It can work recursively over
directories and supports limiting the search to specific file
suffixes.

rpl was originally written by Joe Laffey; this is a rewritten version.

%prep
%setup -q

# upstream mistake
sed -i s/1\.5\.6/%{version}/ setup.py

%build
%py3_build


%install
%py3_install
%{__install} -m 0644 -D rpl.1 %{buildroot}%{_mandir}/man1/rpl.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/rpl
%{_mandir}/man1/rpl.1.gz
%{python3_sitelib}/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 21 2017 Tim Jackson <rpm@timj.co.uk> - 1.5.7-2
- Fix build on arbitrary versions of python 3, by using Python install macro
- Package python metadata properly

* Sat Jan 21 2017 Tim Jackson <rpm@timj.co.uk> - 1.5.7-1
- Update to upstream 1.5.7
- No longer requires python2 (RHBZ #1374924)
- Change references to new upstream location (at GitHub)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 19 2008 Tim Jackson <rpm@timj.co.uk> 1.5.5-1
- Update to version 1.5.5
- Move to new upstream distribution location (Sourceforge)

* Sun Sep 10 2006 Tim Jackson <rpm@timj.co.uk> 1.5.3-4
- Requires: python in place of env/python hack

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 1.5.3-3
- Fix missing dep on python

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 1.5.3-2
- Correct file mode on manpage (0755->0644)

* Mon Sep 04 2006 Tim Jackson <rpm@timj.co.uk> 1.5.3-1
- Initial RPM build
